CAL(1)

NUME
cal - afișează un calendar

REZUMAT

cal [opțiuni] [[[ziua] luna] anul]

cal [opțiuni] [marcaj-timp|nume-lună]

DESCRIERE

cal afișează un calendar simplu. Dacă nu se specifică niciun argument, se afișează luna curentă.

luna poate fi specificată ca număr (1-12), ca nume de lună sau ca nume de lună prescurtat, în funcție de configurația regională curentă.

Se folosesc două sisteme calendaristice diferite, gregorian și iulian. Acestea sunt sisteme aproape identice, Gregorianul făcând o mică ajustare a frecvenței anilor bisecți; acest lucru facilitează o mai bună sincronizare cu evenimentele solare, cum ar fi echinocțiile. Reforma calendarului gregorian a fost introdusă în 1582, dar adoptarea sa a continuat până în 1923. În mod implicit, cal utilizează data adoptării, 3 sept. 1752. De la această dată încolo este afișat calendarul gregorian; datele anterioare utilizează sistemul calendaristic iulian. 11 zile au fost eliminate la momentul adoptării pentru a aduce calendarul în sincronizare cu evenimentele solare. Așadar, sept. 1752 are un amestec de date iuliene și gregoriene prin care ziua a 2-a este urmată de ziua a 14-a (de la a 3-a la a 13-a lipsesc).

Opțional, se poate utiliza exclusiv fie calendarul gregorian proleptic, fie calendarul iulian. A se vedea --reform de mai jos.

OPȚIUNI

-1, --one
    Afișează o singură lună la ieșire (acesta este modul implicit).

-3, --three
    Afișează trei luni de la data respectivă.

-n , --months număr
    Afișează numărul de luni, începând cu luna care conține data.

-S, --span
    Afișează lunile care corespund datei.

-s, --sunday
    Afișează Duminica ca prima zi din săptămână.

-m, --monday
    Afișează Luni ca prima zi din săptămână.

-v, --vertical
    Afișează folosind o dispunere verticală (cunoscut ca modul ncal(1)).

--iso
    Afișează exclusiv calendarul gregorian proleptic. Această opțiune nu afectează numerele săptămânilor și prima zi a săptămânii. A se vedea opțiunea --reform mai jos.

-j, --julian
    Utilizează numerotarea în funcție de ziua anului pentru toate calendarele. Acestea se mai numesc și zile ordinale. Zilele ordinale variază de la 1 la 366. Această opțiune nu face trecerea de la sistemul calendaristic gregorian la cel iulian, care este controlată de opțiunea --reform.

    Uneori, calendarele gregoriene care utilizează date ordinale sunt denumite calendare iuliene. Acest lucru poate crea confuzie din cauza numeroaselor convenții legate de date care folosesc termenul iulian în denumirea lor: dată iuliană (ordinală), dată (calendaristică) iuliană, dată iuliană (astronomică), dată iuliană (modificată) și altele. Această opțiune este denumită „julian”, deoarece zilele ordinale sunt identificate ca fiind iuliene de către standardul POSIX. Cu toate acestea, trebuie să știți că cal utilizează, de asemenea, sistemul calendaristic iulian. A se vedea DESCRIERE de mai sus.

--reform val
    Această opțiune stabilește data de adoptare a reformei calendarului gregorian. Datele calendaristice anterioare reformei utilizează sistemul calendaristic iulian. Datele calendaristice ulterioare reformei utilizează sistemul calendaristic gregorian. Argumentul val poate fi:

        • 1752 - stabilește 3 septembrie 1752 ca dată a reformei (implicit). Aceasta este data la care reforma calendarului gregorian a fost adoptată de către Imperiul Britanic.

        • gregorian - afișează exclusiv calendarele gregoriene. Acest marcaj special stabilește data reformei sub cel mai mic an pe care cal îl poate utiliza; ceea ce înseamnă că toate datele de ieșire a calendarului utilizează sistemul calendaristic gregorian. Acesta se numește calendar gregorian proleptic, deoarece datele anterioare creării sistemului calendaristic folosesc valori extrapolate.

        • iso - alias al lui gregorian. Standardul ISO 8601 pentru reprezentarea datelor și orelor în schimbul de informații prevede utilizarea calendarului gregorian proleptic.

        • julian - afișează exclusiv calendarele iuliene. Acest simbol special stabilește data reformei deasupra celui mai mare an pe care cal îl poate utiliza; ceea ce înseamnă că toate datele de ieșire a calendarului utilizează sistemul calendaristic iulian.

        A se vedea secțiunea DESCRIERE de mai sus.

-y, --year
    Afișează un calendar pentru tot anul.

-Y, --twelve
    Afișează un calendar pentru următoarele douăsprezece luni.

-w, --week[=numărr]
    Afișează numerele săptămânilor în calendar în conformitate cu formatul SUA sau ISO-8601. Dacă este specificat un număr, săptămâna solicitată va fi imprimată în anul dorit sau în anul curent. numărul poate fi suprascris dacă sunt specificate și ziua și luna.

    A se vedea secțiunea NOTE pentru mai multe detalii.

--color[=când]
    Colorează ieșirea. Argumentul opțional când poate fi auto, never (niciodată) sau always (întotdeauna). În cazul în care argumentul când este omis, valoarea implicită este auto. Culorile pot fi dezactivate; pentru valoarea implicită încorporată curentă, consultați ieșirea --help. A se vedea, de asemenea, secțiunea CULORI de mai jos.

-c, --columns=coloane
    Numărul de coloane care trebuie utilizate. auto utilizează atâtea câte se potrivesc cu terminalul.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

PARAMETRI

Un singur parametru compus doar din cifre (de exemplu, «cal 2020»)
    Specifică anul care urmează să fie afișat; rețineți că anul trebuie să fie specificat în întregime: cal 89 nu va afișa un calendar pentru anul 1989.

Un singur parametru de tip șir de caractere (de exemplu, «cal tomorrow» (calendarul cu ziua de mâine) sau «cal august»)
    Specifică marcaj-timp sau un nume-lună (sau un nume prescurtat) în funcție de configurația regională curentă.

    La procesarea marcajului de timp sunt acceptate valorile speciale: „now” poate fi utilizat pentru a se referi la ora curentă, „today”, „yesterday”, „tomorrow” se referă la ziua curentă, ziua precedentă sau, respectiv, ziua următoare.

    Sunt acceptate și specificațiile de date relative, în acest caz „+” este evaluat la ora curentă plus intervalul de timp specificat. În mod corespunzător, un interval de timp care este prefixat cu „-” este evaluat la timpul curent minus intervalul de timp specificat, de exemplu „+2days” (+2zile). În loc să fie prefixat cu „+” sau „-”, intervalul de timp poate fi, de asemenea, sufixat cu un spațiu și cu cuvântul „left” sau „ago” (de exemplu, „1 week ago” (1 săptămână în urmă)).

Doi parametri (de exemplu, «cal 11 2020»)
    Desemnează luna (1 - 12) și anul.

Trei parametri (de exemplu, «cal 25 11 2020»)
    Desemnează ziua (1-31), luna și anul, iar ziua va fi evidențiată dacă calendarul este afișat pe un terminal. Dacă nu se specifică niciun parametru, se afișează calendarul lunii curente.

NOTE

Un an începe la 1 ianuarie. Prima zi a săptămânii este determinată de configurația regională sau de opțiunile --sunday și --monday.

Numerotarea săptămânii depinde de alegerea primei zile a săptămânii. Dacă este duminică, se folosește numerotarea obișnuită din America de Nord, unde 1 ianuarie este săptămâna numărul 1. Dacă este luni (-m), se utilizează numerotarea săptămânală standard ISO 8601, în care prima zi de joi se află în săptămâna 1.

CULORI

Colorarea ieșirii este implementată de funcționalitatea terminal-colors.d(5). Colorarea implicită poate fi dezactivată printr-un fișier gol

    /etc/terminal-colors.d/cal.disable

pentru comanda cal sau pentru toate instrumentele (comenzile) prin

    /etc/terminal-colors.d/disable

Începând cu versiunea 2.41, variabila de mediu $NO_COLOR este, de asemenea, acceptată pentru a dezactiva colorarea ieșirii, cu excepția cazului în care este activată explicit printr-o opțiune din linia de comandă.

Configurația specifică utilizatorului $XDG_CONFIG_HOME/terminal-colors.d sau $HOME/.config/terminal-colors.d prevalează asupra celei globale.

Rețineți că colorarea ieșirii poate fi activată în mod implicit și, în acest caz, directoarele terminal-colors.d nu trebuie să existe încă.

Numele de culori logice acceptate de cal sunt:

today
    Ziua curentă.

weeknumber
    Numărul săptămânii solicitat de opțiunea din linia de comandă --week=<număr>.

weeks
    Numărul săptămânii..

header
    Antetul unei luni.

workday
    Zilele care se încadrează în săptămâna de lucru.

weekend
    Zilele care nu intră în săptămâna de lucru.

De exemplu:

    echo -e 'weekend 35\ntoday 1;41\nheader yellow' > $HOME/.config/terminal-colors.d/cal.scheme

ISTORIC

Comanda cal a apărut în versiunea 6 AT&T UNIX.

ERORI

În mod implicit, cal utilizează data de 3 septembrie 1752 ca dată a reformei calendarului gregorian. Datele istorice ale reformei pentru alte regiuni, inclusiv introducerea acesteia în octombrie 1582, nu sunt implementate.

Calendarele alternative, cum ar fi Umm al-Qura, Solar Hijri, Ge’ez sau lunisolar hindus, nu sunt acceptate.

CONSULTAȚI ȘI

terminal-colors.d(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda cal face parte din pachetul util-linux care poate fi descărcat de la